<?php
namespace Common\Model;
use Common\Model\BaseModel;
/**
 * ModelName
 */
class AdminModel extends BaseModel{

	// 自动验证
	protected $_validate=array(
    

	//新增时验证
        array('username','require','管理帐号不能为空！',0,'regex',1),
	array('username','3,36','管理帐号必需3-36位！',0,'length',1),
	array('username', '', '管理帐号有重复！', 0, 'unique',1),
	array('phone','require','手机号不能为空！',0,'regex',1),
	array('phone', '', '手机号有重复！', 0, 'unique',1),
	array('email','require','邮箱不能为空！',0,'regex',1),
	array('email','','邮箱有重复！',0,'unique',1),
	array('password','require','登陆密码不能为空！',0,'regex',1),
	array('password','6,36','密码必需6-36位！',0,'length',1),
	array('admin_name','require','管理员姓名不能为空！',0,'regex',1),
	
	
	//修改验证
	array('username','require','管理帐号不能为空！',0,'regex',2),
	array('username','3,36','管理帐号必需3-36位！',0,'length',2),
	array('username', '', '管理帐号有重复！', 0, 'unique',2),
	array('phone','require','手机号不能为空！',0,'regex',2),
	array('phone', '', '手机号有重复！', 0, 'unique',2),
	array('email','require','邮箱不能为空！',0,'regex',2),
	array('email','','邮箱有重复！',0,'unique',2),
	array('password','require','登陆密码不能为空！',2,'regex',2),
	array('password','6,36','密码必需6-36位！',2,'length',2),
	array('admin_name','require','管理员姓名不能为空！',0,'regex',2),
	
	);

    // 自动完成
    protected $_auto=array(
        array('password','md5',1,'function') , // 对password字段在新增的时候使md5函数处理
        array('register_time','time',1,'function'), // 对date字段在新增的时候写入当前时间戳
    );

    /**
     * 添加用户
     */
    public function addData($data){
        // 对data数据进行验证
        if(!$data=$this->create($data)){
            // 验证不通过返回错误
            return false;
        }else{
            // 验证通过
            $result=$this->add($data);
            return $result;
        }
    }

    /**
     * 修改用户
     */
    public function editData($map,$data){
        // 对data数据进行验证
        if(!$data=$this->create($data)){
            // 验证不通过返回错误
            return false;
        }else{
            // 验证通过
            $result=$this
                ->where(array($map))
                ->save($data);
            return $result;
        }
    }

    /**
     * 删除数据
     * @param   array   $map    where语句数组形式
     * @return  boolean         操作是否成功
     */
    //public function deleteData($map){
       // die('禁止删除用户');
    //}



}
